Package generic.timer

# Class GhidraSwingTimer

java.lang.Object
generic.timer.GhidraSwingTimer

All Implemented Interfaces:
  `GhidraTimer`, `ActionListener`, `EventListener`

Direct Known Subclasses:
  `ExpiringSwingTimer`

public class GhidraSwingTimer extends Object implements GhidraTimer, ActionListener

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GhidraSwingTimer()`
  `GhidraSwingTimer(int initialDelay, int delay, TimerCallback callback)`
  `GhidraSwingTimer(int delay, TimerCallback callback)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `actionPerformed(ActionEvent e)`
  `int`
  `getDelay()`
  `int`
  `getInitialDelay()`
  `boolean`
  `isRepeats()`
  `boolean`
  `isRunning()`
  `void`
  `setDelay(int delay)`
  `void`
  `setInitialDelay(int initialDelay)`
  `void`
  `setRepeats(boolean repeats)`
  `void`
  `setTimerCallback(TimerCallback callback)`
  `void`
  `start()`
  `void`
  `stop()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GhidraSwingTimer

    public GhidraSwingTimer()

  - ### GhidraSwingTimer

    public GhidraSwingTimer(int delay, TimerCallback callback)

  - ### GhidraSwingTimer

    public GhidraSwingTimer(int initialDelay, int delay, TimerCallback callback)

- ## Method Details

  - ### actionPerformed

    public void actionPerformed(ActionEvent e)
    Specified by:
      `actionPerformed` in interface `ActionListener`

  - ### getDelay

    public int getDelay()
    Specified by:
      `getDelay` in interface `GhidraTimer`

  - ### getInitialDelay

    public int getInitialDelay()
    Specified by:
      `getInitialDelay` in interface `GhidraTimer`

  - ### isRepeats

    public boolean isRepeats()
    Specified by:
      `isRepeats` in interface `GhidraTimer`

  - ### setDelay

    public void setDelay(int delay)
    Specified by:
      `setDelay` in interface `GhidraTimer`

  - ### setInitialDelay

    public void setInitialDelay(int initialDelay)
    Specified by:
      `setInitialDelay` in interface `GhidraTimer`

  - ### setRepeats

    public void setRepeats(boolean repeats)
    Specified by:
      `setRepeats` in interface `GhidraTimer`

  - ### setTimerCallback

    public void setTimerCallback(TimerCallback callback)
    Specified by:
      `setTimerCallback` in interface `GhidraTimer`

  - ### start

    public void start()
    Specified by:
      `start` in interface `GhidraTimer`

  - ### stop

    public void stop()
    Specified by:
      `stop` in interface `GhidraTimer`

  - ### isRunning

    public boolean isRunning()
    Specified by:
      `isRunning` in interface `GhidraTimer`